Bug 428427 - [kn_IN][fonts-indic] - 0CB5+0CCA is wrongly rendering
[kn_IN][fonts-indic] - 0CB5+0CCA is wrongly rendering
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lohit-fonts (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Rahul Bhalerao
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 08:23 EST by Shankar Prasad
Modified: 2015-04-21 00:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 09:23:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Actual and correct results with key sequence to reproduce (96.03 KB, image/png)
2008-01-11 08:23 EST, Shankar Prasad
no flags Details
patch for Lohit-Kannada.sfd (465 bytes, patch)
2008-04-08 08:08 EDT, Rahul Bhalerao
no flags Details | Diff
Incorrect rendering of U0CAA U0CCA U0CAB U0CCA (2.03 KB, image/png)
2009-01-07 23:51 EST, Padmanabhan V. K.
no flags Details
Screenshot of current and correct rendering (21.67 KB, image/png)
2009-01-14 01:12 EST, Shankar Prasad
no flags Details

  None (edit)
Description Shankar Prasad 2008-01-11 08:23:12 EST
Description of problem:
When tested with the fonts-kannada-2.1.5-2.fc8 the 0CB5+0CCA is wrongly rendering

Version-Release number of selected component (if applicable):
fonts-kannada-2.1.5-2.fc8


How reproducible:
Every time

Steps to Reproduce:
1.Activate the SCIM
2.open any editor
3.Key-in 0CB5+0CCA,vo(itrans),or b`(inscript)
  
Actual results:
As shown in the attachment

Expected results:
As shown in the attachment


Additional info: Similar kind of issue (ವೋ :: 0CB5 + 0CCB) was raised in the bug
#223945(comment #3), which may help to solve this wrong liguture rule
Comment 1 Shankar Prasad 2008-01-11 08:23:12 EST
Created attachment 291385 [details]
Actual and correct results with key sequence to reproduce
Comment 2 Rahul Bhalerao 2008-04-08 08:08:52 EDT
Created attachment 301623 [details]
patch for Lohit-Kannada.sfd
Comment 3 Rahul Bhalerao 2008-04-08 09:14:57 EDT
Fixed in lohit-fonts-kannada-2.2.0
Comment 4 Bug Zapper 2008-05-14 00:44:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tony Fu 2008-09-09 23:18:03 EDT
requested by Jens Petersen (#27995)
Comment 6 Padmanabhan V. K. 2009-01-07 23:51:13 EST
Created attachment 328437 [details]
Incorrect rendering of U0CAA U0CCA U0CAB U0CCA

Wrong Conjuct combinations are formed for U0CAA+U0CCA, U0CAB+U0CCA, U0CAA+U0CCB, and U0CAB+U0CCB as well.

Version-Release number of selected component (if applicable):
fonts-kannada-2.1.5-3.fc8

How reproducible:
1. Every Time

Steps to Reproduce:
1. Open gnome-character-map.
2. Select U0CAA followed by U0CCA followed by U0CAB followed by U0CCA.

Actual results:
As shown in the attached image

Expected results:

As shown by the following steps:
1. Install http://kannadakasturi.com/font/brhknd.ttf.
2. Open http://kannadakasturi.com/includes/transliterate.asp.
3. Enter the combination poPo.

Additional info:

1. The fonts from http://sourceforge.net/project/showfiles.php?group_id=56358
also show the glyphs like kannadakasturi.com instead of like Lohit Kannada.
2. This is similar to the earlier issue reported here.
3. Using the program from http://gfontview.sourceforge.net/ it is seen that there already are glyphs in the font named U0CAC_U0CCA.pstf [can be renamed to the more appropriate U0CAA_U0CCA.pstf?] and U0CAB_U0CC3.abvs_U0CC0.psts [can be renamed to U0CAB_U0CCA.pstf?] which show the conjuncts like kannadakasturi.com. Only the mappings between the character combinations and the glyphs to be displayed seem to be incorrect.

Hence I assume Lohit Kannada is at fault and not the other fonts.
Comment 7 Rahul Bhalerao 2009-01-13 07:42:10 EST
The brhknd font mentioned is not a unicode/opentype font. Please provide correct screenshots instead.
Comment 8 Shankar Prasad 2009-01-14 01:12:26 EST
Created attachment 328952 [details]
Screenshot of current and correct rendering

Rahul,
The above said rendering is there in Lohit-Kannada also. You can have look at the screen shot attached

Shankar
Comment 9 Padmanabhan V. K. 2009-01-17 12:56:40 EST
Please note that there already are glyphs in the font named:
U0CAC_U0CCA.pstf [can be renamed to the more appropriate U0CAA_U0CCA.pstf?],
U0CAB_U0CC3.abvs_U0CC0.psts [can be renamed to U0CAB_U0CCA.pstf?],
U0CAA_U0CCB.pstf, and
U0CAB_U0CCB.pstf,
which show the correct conjuncts. Only some ligature rules in the font should be changed, like in the previous patch.
Comment 10 Shankar Prasad 2009-03-02 02:29:14 EST
Rahul,

Any updates in this?
Comment 11 Rahul Bhalerao 2009-03-04 00:39:15 EST
Shankar, this is same as 479100. Similar fix will be released in next lohit version.
Comment 12 Rahul Bhalerao 2009-03-05 09:23:11 EST
Fixed in lohit-fonts-2.3.8.

Note You need to log in before you can comment on or make changes to this bug.